(function() {
	var x = 7; // pozostaje w obrębie wzorca IIFE
	console.log(x, window.x);
	// wyświetla wartości: 7, undefined
})();

(function() {
	x = 7; // "zanieczyszcza" obiekt window
	console.log(x, window.x);
	// wyświetla wartości: 7, 7
})();


(function() {
	'use strict';
	x = 7; // zgłasza błąd
	// i powoduje zakończenie wykonywania
	console.log(x, window.x);
})();

(function() {
	'use strict';
	var x = 7;
	window.x = 8; // jawne przypisanie x obiektu window
	console.log(x, window.x);
	// wyświetla wartości: 7, 8
})();
